Skip to main content
GET
Fetch a list of NodeExecution.

Path Parameters

workflow_execution_id.project
string
required

Name of the project the resource belongs to.

workflow_execution_id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

workflow_execution_id.name
string
required

User or system provided value for the resource.

Query Parameters

workflow_execution_id.org
string

Optional, org key applied to the resource.

limit
integer<int64>

Indicates the number of resources to be returned. +required

token
string
filters
string

Indicates a list of filters passed as string. More info on constructing filters : +optional

sort_by.key
string

Indicates an attribute to sort the response values. +required

sort_by.direction
enum<string>
default:DESCENDING

Indicates the direction to apply sort key for response values. +optional

  • DESCENDING: By default, fields are sorted in descending order.
Available options:
DESCENDING,
ASCENDING
unique_parent_id
string

Unique identifier of the parent node in the execution +optional

Response

A successful response.

node_executions
object[]
token
string

In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. If there are no more results, this value will be empty.

Last modified on August 27, 2026